org.apache.http

## Interface HttpRequest

- All Superinterfaces:
    HttpMessage
  All Known Subinterfaces:
    HttpEntityEnclosingRequest
  All Known Implementing Classes:
    BasicHttpEntityEnclosingRequest, BasicHttpRequest

      public interface HttpRequest
      extends HttpMessage

  A request message from a client to a server includes, within the first line of that message, the method to be applied to the resource, the identifier of the resource, and the protocol version in use.

            Request       = Request-Line
                            *(( general-header
                             | request-header
                             | entity-header ) CRLF)
                            CRLF
                            [ message-body ]

  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RequestLine` | `getRequestLine()` Returns the request line of this request.

    - ### Methods inherited from interface org.apache.http.HttpMessage

      `addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, getProtocolVersion, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

- - ### Method Detail

    - #### getRequestLine

          RequestLine getRequestLine()

      Returns the request line of this request.
      Returns:
        the request line.

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.